# coding: utf-8

"""
    DocuSign REST API

    The DocuSign REST API provides you with a powerful, convenient, and simple Web services API for interacting with DocuSign.

    OpenAPI spec version: v2
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from pprint import pformat
from six import iteritems
import re


class PaymentDetails(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, charge_id=None, currency_code=None, gateway_account_id=None, gateway_name=None, line_items=None, status=None, total=None):
        """
        PaymentDetails - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'charge_id': 'str',
            'currency_code': 'str',
            'gateway_account_id': 'str',
            'gateway_name': 'str',
            'line_items': 'list[PaymentLineItem]',
            'status': 'str',
            'total': 'Money'
        }

        self.attribute_map = {
            'charge_id': 'chargeId',
            'currency_code': 'currencyCode',
            'gateway_account_id': 'gatewayAccountId',
            'gateway_name': 'gatewayName',
            'line_items': 'lineItems',
            'status': 'status',
            'total': 'total'
        }

        self._charge_id = charge_id
        self._currency_code = currency_code
        self._gateway_account_id = gateway_account_id
        self._gateway_name = gateway_name
        self._line_items = line_items
        self._status = status
        self._total = total

    @property
    def charge_id(self):
        """
        Gets the charge_id of this PaymentDetails.
        

        :return: The charge_id of this PaymentDetails.
        :rtype: str
        """
        return self._charge_id

    @charge_id.setter
    def charge_id(self, charge_id):
        """
        Sets the charge_id of this PaymentDetails.
        

        :param charge_id: The charge_id of this PaymentDetails.
        :type: str
        """

        self._charge_id = charge_id

    @property
    def currency_code(self):
        """
        Gets the currency_code of this PaymentDetails.
        

        :return: The currency_code of this PaymentDetails.
        :rtype: str
        """
        return self._currency_code

    @currency_code.setter
    def currency_code(self, currency_code):
        """
        Sets the currency_code of this PaymentDetails.
        

        :param currency_code: The currency_code of this PaymentDetails.
        :type: str
        """

        self._currency_code = currency_code

    @property
    def gateway_account_id(self):
        """
        Gets the gateway_account_id of this PaymentDetails.
        

        :return: The gateway_account_id of this PaymentDetails.
        :rtype: str
        """
        return self._gateway_account_id

    @gateway_account_id.setter
    def gateway_account_id(self, gateway_account_id):
        """
        Sets the gateway_account_id of this PaymentDetails.
        

        :param gateway_account_id: The gateway_account_id of this PaymentDetails.
        :type: str
        """

        self._gateway_account_id = gateway_account_id

    @property
    def gateway_name(self):
        """
        Gets the gateway_name of this PaymentDetails.
        

        :return: The gateway_name of this PaymentDetails.
        :rtype: str
        """
        return self._gateway_name

    @gateway_name.setter
    def gateway_name(self, gateway_name):
        """
        Sets the gateway_name of this PaymentDetails.
        

        :param gateway_name: The gateway_name of this PaymentDetails.
        :type: str
        """

        self._gateway_name = gateway_name

    @property
    def line_items(self):
        """
        Gets the line_items of this PaymentDetails.
        

        :return: The line_items of this PaymentDetails.
        :rtype: list[PaymentLineItem]
        """
        return self._line_items

    @line_items.setter
    def line_items(self, line_items):
        """
        Sets the line_items of this PaymentDetails.
        

        :param line_items: The line_items of this PaymentDetails.
        :type: list[PaymentLineItem]
        """

        self._line_items = line_items

    @property
    def status(self):
        """
        Gets the status of this PaymentDetails.
        Indicates the envelope status. Valid values are:  * sent - The envelope is sent to the recipients.  * created - The envelope is saved as a draft and can be modified and sent later.

        :return: The status of this PaymentDetails.
        :rtype: str
        """
        return self._status

    @status.setter
    def status(self, status):
        """
        Sets the status of this PaymentDetails.
        Indicates the envelope status. Valid values are:  * sent - The envelope is sent to the recipients.  * created - The envelope is saved as a draft and can be modified and sent later.

        :param status: The status of this PaymentDetails.
        :type: str
        """

        self._status = status

    @property
    def total(self):
        """
        Gets the total of this PaymentDetails.

        :return: The total of this PaymentDetails.
        :rtype: Money
        """
        return self._total

    @total.setter
    def total(self, total):
        """
        Sets the total of this PaymentDetails.

        :param total: The total of this PaymentDetails.
        :type: Money
        """

        self._total = total

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
