# coding: utf-8

"""
    DocuSign REST API

    The DocuSign REST API provides you with a powerful, convenient, and simple Web services API for interacting with DocuSign.

    OpenAPI spec version: v2
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import os
import sys
import unittest

import docusign_esign
from docusign_esign.rest import ApiException
from docusign_esign.apis.accounts_api import AccountsApi


class TestAccountsApi(unittest.TestCase):
    """ AccountsApi unit test stubs """

    def setUp(self):
        self.api = docusign_esign.apis.accounts_api.AccountsApi()

    def tearDown(self):
        pass

    def test_create(self):
        """
        Test case for create

        Creates new accounts.
        """
        pass

    def test_create_brand(self):
        """
        Test case for create_brand

        Creates one or more brand profile files for the account.
        """
        pass

    def test_create_custom_field(self):
        """
        Test case for create_custom_field

        Creates an acount custom field.
        """
        pass

    def test_create_e_mortgage_transaction(self):
        """
        Test case for create_e_mortgage_transaction

        Starts a new eMortgage Transaction
        """
        pass

    def test_create_permission_profile(self):
        """
        Test case for create_permission_profile

        Creates a new permission profile in the specified account.
        """
        pass

    def test_delete(self):
        """
        Test case for delete

        Deletes the specified account.
        """
        pass

    def test_delete_brand(self):
        """
        Test case for delete_brand

        Removes a brand.
        """
        pass

    def test_delete_brand_logo_by_type(self):
        """
        Test case for delete_brand_logo_by_type

        Delete one branding logo.
        """
        pass

    def test_delete_brands(self):
        """
        Test case for delete_brands

        Deletes one or more brand profiles.
        """
        pass

    def test_delete_captive_recipient(self):
        """
        Test case for delete_captive_recipient

        Deletes the signature for one or more captive recipient records.
        """
        pass

    def test_delete_custom_field(self):
        """
        Test case for delete_custom_field

        Delete an existing account custom field.
        """
        pass

    def test_delete_e_note_configuration(self):
        """
        Test case for delete_e_note_configuration

        Deletes configuration information for the eNote eOriginal integration.
        """
        pass

    def test_delete_permission_profile(self):
        """
        Test case for delete_permission_profile

        Deletes a permissions profile within the specified account.
        """
        pass

    def test_get_account_information(self):
        """
        Test case for get_account_information

        Retrieves the account information for the specified account.
        """
        pass

    def test_get_account_tab_settings(self):
        """
        Test case for get_account_tab_settings

        Returns tab settings list for specified account
        """
        pass

    def test_get_all_payment_gateway_accounts(self):
        """
        Test case for get_all_payment_gateway_accounts

        Get all payment gateway account for the provided accountId
        """
        pass

    def test_get_billing_charges(self):
        """
        Test case for get_billing_charges

        Gets list of recurring and usage charges for the account.
        """
        pass

    def test_get_brand(self):
        """
        Test case for get_brand

        Get information for a specific brand.
        """
        pass

    def test_get_brand_export_file(self):
        """
        Test case for get_brand_export_file

        Export a specific brand.
        """
        pass

    def test_get_brand_logo_by_type(self):
        """
        Test case for get_brand_logo_by_type

        Obtains the specified image for a brand.
        """
        pass

    def test_get_brand_resources(self):
        """
        Test case for get_brand_resources

        Returns the specified account's list of branding resources (metadata).
        """
        pass

    def test_get_brand_resources_by_content_type(self):
        """
        Test case for get_brand_resources_by_content_type

        Returns the specified branding resource file.
        """
        pass

    def test_get_consumer_disclosure(self):
        """
        Test case for get_consumer_disclosure

        Gets the Electronic Record and Signature Disclosure.
        """
        pass

    def test_get_consumer_disclosure_default(self):
        """
        Test case for get_consumer_disclosure_default

        Gets the Electronic Record and Signature Disclosure for the account.
        """
        pass

    def test_get_e_note_configuration(self):
        """
        Test case for get_e_note_configuration

        Returns the configuration information for the eNote eOriginal integration.
        """
        pass

    def test_get_password_rules(self):
        """
        Test case for get_password_rules

        Get the password rules
        """
        pass

    def test_get_password_rules_0(self):
        """
        Test case for get_password_rules_0

        Get membership account password rules
        """
        pass

    def test_get_permission_profile(self):
        """
        Test case for get_permission_profile

        Returns a permissions profile in the specified account.
        """
        pass

    def test_get_provisioning(self):
        """
        Test case for get_provisioning

        Retrieves the account provisioning information for the account.
        """
        pass

    def test_get_supported_languages(self):
        """
        Test case for get_supported_languages

        Gets list of supported languages for recipient language setting.
        """
        pass

    def test_get_watermark(self):
        """
        Test case for get_watermark

        Get watermark information.
        """
        pass

    def test_get_watermark_preview(self):
        """
        Test case for get_watermark_preview

        Get watermark preview.
        """
        pass

    def test_list_brands(self):
        """
        Test case for list_brands

        Gets a list of brand profiles.
        """
        pass

    def test_list_custom_fields(self):
        """
        Test case for list_custom_fields

        Gets a list of custom fields associated with the account.
        """
        pass

    def test_list_permissions(self):
        """
        Test case for list_permissions

        Gets a list of permission profiles.
        """
        pass

    def test_list_recipient_names_by_email(self):
        """
        Test case for list_recipient_names_by_email

        Gets recipient names associated with an email address.
        """
        pass

    def test_list_settings(self):
        """
        Test case for list_settings

        Gets account settings information.
        """
        pass

    def test_list_shared_access(self):
        """
        Test case for list_shared_access

        Reserved: Gets the shared item status for one or more users.
        """
        pass

    def test_list_signature_providers(self):
        """
        Test case for list_signature_providers

        Returns Account available signature providers for specified account.
        """
        pass

    def test_list_unsupported_file_types(self):
        """
        Test case for list_unsupported_file_types

        Gets a list of unsupported file types.
        """
        pass

    def test_update_account_tab_settings(self):
        """
        Test case for update_account_tab_settings

        Modifies tab settings for specified account
        """
        pass

    def test_update_brand(self):
        """
        Test case for update_brand

        Updates an existing brand.
        """
        pass

    def test_update_brand_logo_by_type(self):
        """
        Test case for update_brand_logo_by_type

        Put one branding logo.
        """
        pass

    def test_update_brand_resources_by_content_type(self):
        """
        Test case for update_brand_resources_by_content_type

        Uploads a branding resource file.
        """
        pass

    def test_update_consumer_disclosure(self):
        """
        Test case for update_consumer_disclosure

        Update Consumer Disclosure.
        """
        pass

    def test_update_custom_field(self):
        """
        Test case for update_custom_field

        Updates an existing account custom field.
        """
        pass

    def test_update_e_note_configuration(self):
        """
        Test case for update_e_note_configuration

        Updates configuration information for the eNote eOriginal integration.
        """
        pass

    def test_update_password_rules(self):
        """
        Test case for update_password_rules

        Update the password rules
        """
        pass

    def test_update_permission_profile(self):
        """
        Test case for update_permission_profile

        Updates a permission profile within the specified account.
        """
        pass

    def test_update_settings(self):
        """
        Test case for update_settings

        Updates the account settings for an account.
        """
        pass

    def test_update_shared_access(self):
        """
        Test case for update_shared_access

        Reserved: Sets the shared access information for users.
        """
        pass

    def test_update_watermark(self):
        """
        Test case for update_watermark

        Update watermark information.
        """
        pass


if __name__ == '__main__':
    unittest.main()
