# coding: utf-8

"""
    DocuSign REST API

    The DocuSign REST API provides you with a powerful, convenient, and simple Web services API for interacting with DocuSign.

    OpenAPI spec version: v2
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import os
import sys
import unittest

import docusign_esign
from docusign_esign.rest import ApiException
from docusign_esign.apis.envelopes_api import EnvelopesApi


class TestEnvelopesApi(unittest.TestCase):
    """ EnvelopesApi unit test stubs """

    def setUp(self):
        self.api = docusign_esign.apis.envelopes_api.EnvelopesApi()

    def tearDown(self):
        pass

    def test_apply_template(self):
        """
        Test case for apply_template

        Adds templates to an envelope.
        """
        pass

    def test_apply_template_to_document(self):
        """
        Test case for apply_template_to_document

        Adds templates to a document in an  envelope.
        """
        pass

    def test_create_chunked_upload(self):
        """
        Test case for create_chunked_upload

        Initiate a new ChunkedUpload.
        """
        pass

    def test_create_console_view(self):
        """
        Test case for create_console_view

        Returns a URL to the authentication view UI.
        """
        pass

    def test_create_correct_view(self):
        """
        Test case for create_correct_view

        Returns a URL to the envelope correction UI.
        """
        pass

    def test_create_custom_fields(self):
        """
        Test case for create_custom_fields

        Updates envelope custom fields for an envelope.
        """
        pass

    def test_create_document_fields(self):
        """
        Test case for create_document_fields

        Creates custom document fields in an existing envelope document.
        """
        pass

    def test_create_edit_view(self):
        """
        Test case for create_edit_view

        Returns a URL to the edit view UI.
        """
        pass

    def test_create_email_settings(self):
        """
        Test case for create_email_settings

        Adds email setting overrides to an envelope.
        """
        pass

    def test_create_envelope(self):
        """
        Test case for create_envelope

        Creates an envelope.
        """
        pass

    def test_create_lock(self):
        """
        Test case for create_lock

        Lock an envelope.
        """
        pass

    def test_create_recipient(self):
        """
        Test case for create_recipient

        Adds one or more recipients to an envelope.
        """
        pass

    def test_create_recipient_view(self):
        """
        Test case for create_recipient_view

        Returns a URL to the recipient view UI.
        """
        pass

    def test_create_sender_view(self):
        """
        Test case for create_sender_view

        Returns a URL to the sender view UI.
        """
        pass

    def test_create_tabs(self):
        """
        Test case for create_tabs

        Adds tabs for a recipient.
        """
        pass

    def test_create_view_link(self):
        """
        Test case for create_view_link

        Reserved: Returns a URL to the secure link view UI.
        """
        pass

    def test_delete_attachments(self):
        """
        Test case for delete_attachments

        Delete one or more attachments from a DRAFT envelope.
        """
        pass

    def test_delete_chunked_upload(self):
        """
        Test case for delete_chunked_upload

        Delete an existing ChunkedUpload.
        """
        pass

    def test_delete_custom_fields(self):
        """
        Test case for delete_custom_fields

        Deletes envelope custom fields for draft and in-process envelopes.
        """
        pass

    def test_delete_document_fields(self):
        """
        Test case for delete_document_fields

        Deletes custom document fields from an existing envelope document.
        """
        pass

    def test_delete_document_page(self):
        """
        Test case for delete_document_page

        Deletes a page from a document in an envelope.
        """
        pass

    def test_delete_documents(self):
        """
        Test case for delete_documents

        Deletes documents from a draft envelope.
        """
        pass

    def test_delete_email_settings(self):
        """
        Test case for delete_email_settings

        Deletes the email setting overrides for an envelope.
        """
        pass

    def test_delete_lock(self):
        """
        Test case for delete_lock

        Deletes an envelope lock.
        """
        pass

    def test_delete_recipient(self):
        """
        Test case for delete_recipient

        Deletes a recipient from an envelope.
        """
        pass

    def test_delete_recipients(self):
        """
        Test case for delete_recipients

        Deletes recipients from an envelope.
        """
        pass

    def test_delete_tabs(self):
        """
        Test case for delete_tabs

        Deletes the tabs associated with a recipient.
        """
        pass

    def test_delete_templates_from_document(self):
        """
        Test case for delete_templates_from_document

        Deletes a template from a document in an existing envelope.
        """
        pass

    def test_delete_view_link(self):
        """
        Test case for delete_view_link

        Reserved: Expires a secure view link.
        """
        pass

    def test_get_attachment(self):
        """
        Test case for get_attachment

        Retrieves an attachment from the envelope.
        """
        pass

    def test_get_attachments(self):
        """
        Test case for get_attachments

        Returns a list of attachments associated with the specified envelope
        """
        pass

    def test_get_chunked_upload(self):
        """
        Test case for get_chunked_upload

        Retrieves the current metadata of a ChunkedUpload.
        """
        pass

    def test_get_consumer_disclosure(self):
        """
        Test case for get_consumer_disclosure

        Reserved: Gets the Electronic Record and Signature Disclosure associated with the account.
        """
        pass

    def test_get_consumer_disclosure_default(self):
        """
        Test case for get_consumer_disclosure_default

        Gets the Electronic Record and Signature Disclosure associated with the account.
        """
        pass

    def test_get_document(self):
        """
        Test case for get_document

        Gets a document from an envelope.
        """
        pass

    def test_get_document_page_image(self):
        """
        Test case for get_document_page_image

        Gets a page image from an envelope for display.
        """
        pass

    def test_get_document_tabs(self):
        """
        Test case for get_document_tabs

        Returns tabs on the document.
        """
        pass

    def test_get_email_settings(self):
        """
        Test case for get_email_settings

        Gets the email setting overrides for an envelope.
        """
        pass

    def test_get_envelope(self):
        """
        Test case for get_envelope

        Gets the status of a envelope.
        """
        pass

    def test_get_form_data(self):
        """
        Test case for get_form_data

        Returns envelope form data for an existing envelope.
        """
        pass

    def test_get_lock(self):
        """
        Test case for get_lock

        Gets envelope lock information.
        """
        pass

    def test_get_notification_settings(self):
        """
        Test case for get_notification_settings

        Gets envelope notification information.
        """
        pass

    def test_get_page_tabs(self):
        """
        Test case for get_page_tabs

        Returns tabs on the specified page.
        """
        pass

    def test_get_pages(self):
        """
        Test case for get_pages

        Returns document page image(s) based on input.
        """
        pass

    def test_get_recipient_document_visibility(self):
        """
        Test case for get_recipient_document_visibility

        Returns document visibility for the recipients
        """
        pass

    def test_get_recipient_initials_image(self):
        """
        Test case for get_recipient_initials_image

        Gets the initials image for a user.
        """
        pass

    def test_get_recipient_signature(self):
        """
        Test case for get_recipient_signature

        Gets signature information for a signer or sign-in-person recipient.
        """
        pass

    def test_get_recipient_signature_image(self):
        """
        Test case for get_recipient_signature_image

        Retrieve signature image information for a signer/sign-in-person recipient.
        """
        pass

    def test_get_template_recipient_document_visibility(self):
        """
        Test case for get_template_recipient_document_visibility

        Returns document visibility for the recipients
        """
        pass

    def test_list_audit_events(self):
        """
        Test case for list_audit_events

        Gets the envelope audit events for an envelope.
        """
        pass

    def test_list_custom_fields(self):
        """
        Test case for list_custom_fields

        Gets the custom field information for the specified envelope.
        """
        pass

    def test_list_document_fields(self):
        """
        Test case for list_document_fields

        Gets the custom document fields from an  existing envelope document.
        """
        pass

    def test_list_documents(self):
        """
        Test case for list_documents

        Gets a list of envelope documents.
        """
        pass

    def test_list_recipients(self):
        """
        Test case for list_recipients

        Gets the status of recipients for an envelope.
        """
        pass

    def test_list_status(self):
        """
        Test case for list_status

        Gets the envelope status for the specified envelopes.
        """
        pass

    def test_list_status_changes(self):
        """
        Test case for list_status_changes

        Gets status changes for one or more envelopes.
        """
        pass

    def test_list_tabs(self):
        """
        Test case for list_tabs

        Gets the tabs information for a signer or sign-in-person recipient in an envelope.
        """
        pass

    def test_list_templates(self):
        """
        Test case for list_templates

        Get List of Templates used in an Envelope
        """
        pass

    def test_list_templates_for_document(self):
        """
        Test case for list_templates_for_document

        Gets the templates associated with a document in an existing envelope.
        """
        pass

    def test_put_attachment(self):
        """
        Test case for put_attachment

        Add an attachment to a DRAFT or IN-PROCESS envelope.
        """
        pass

    def test_put_attachments(self):
        """
        Test case for put_attachments

        Add one or more attachments to a DRAFT or IN-PROCESS envelope.
        """
        pass

    def test_rotate_document_page(self):
        """
        Test case for rotate_document_page

        Rotates page image from an envelope for display.
        """
        pass

    def test_update(self):
        """
        Test case for update

        Send Draft Envelope/Void Envelope/Move/Purge Envelope/Modify draft
        """
        pass

    def test_update_chunked_upload(self):
        """
        Test case for update_chunked_upload

        Integrity-Check and Commit a ChunkedUpload, readying it for use elsewhere.
        """
        pass

    def test_update_chunked_upload_part(self):
        """
        Test case for update_chunked_upload_part

        Add a chunk, a chunk 'part', to an existing ChunkedUpload.
        """
        pass

    def test_update_custom_fields(self):
        """
        Test case for update_custom_fields

        Updates envelope custom fields in an envelope.
        """
        pass

    def test_update_document(self):
        """
        Test case for update_document

        Adds a document to an existing draft envelope.
        """
        pass

    def test_update_document_fields(self):
        """
        Test case for update_document_fields

        Updates existing custom document fields in an existing envelope document.
        """
        pass

    def test_update_documents(self):
        """
        Test case for update_documents

        Adds one or more documents to an existing envelope document.
        """
        pass

    def test_update_email_settings(self):
        """
        Test case for update_email_settings

        Updates the email setting overrides for an envelope.
        """
        pass

    def test_update_lock(self):
        """
        Test case for update_lock

        Updates an envelope lock.
        """
        pass

    def test_update_notification_settings(self):
        """
        Test case for update_notification_settings

        Sets envelope notification (Reminders/Expirations) structure for an existing envelope.
        """
        pass

    def test_update_recipient_document_visibility(self):
        """
        Test case for update_recipient_document_visibility

        Updates document visibility for the recipients
        """
        pass

    def test_update_recipient_initials_image(self):
        """
        Test case for update_recipient_initials_image

        Sets the initials image for an accountless signer.
        """
        pass

    def test_update_recipient_signature_image(self):
        """
        Test case for update_recipient_signature_image

        Sets the signature image for an accountless signer.
        """
        pass

    def test_update_recipients(self):
        """
        Test case for update_recipients

        Updates recipients in a draft envelope or corrects recipient information for an in process envelope.
        """
        pass

    def test_update_recipients_document_visibility(self):
        """
        Test case for update_recipients_document_visibility

        Updates document visibility for the recipients
        """
        pass

    def test_update_tabs(self):
        """
        Test case for update_tabs

        Updates the tabs for a recipient.  
        """
        pass

    def test_update_template_recipient_document_visibility(self):
        """
        Test case for update_template_recipient_document_visibility

        Updates document visibility for the recipients
        """
        pass

    def test_update_template_recipients_document_visibility(self):
        """
        Test case for update_template_recipients_document_visibility

        Updates document visibility for the recipients
        """
        pass


if __name__ == '__main__':
    unittest.main()
